Page MenuHomePhabricator

Preserve tab/backstack state even when app is terminated / crashed.
Closed, ResolvedPublic

Description

Based on T103954, it looks like it's possible to explicitly preserve the state of the app, specifically the list of currently-open tabs, and their respective backstacks.

This task is for actually implementing that functionality.

Event Timeline

Dbrant created this task.Jul 23 2015, 4:37 PM
Dbrant raised the priority of this task from to High.
Dbrant updated the task description. (Show Details)
Dbrant moved this task to Needs Triage on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 4:37 PM
Niedzielski set Security to None.

Change 227633 had a related patch set uploaded (by Niedzielski):
Preserve open tabs

https://gerrit.wikimedia.org/r/227633

Change 227633 merged by jenkins-bot:
Preserve open tabs

https://gerrit.wikimedia.org/r/227633

Signed off by Design

Checked with 2.0.108-alpha-2015-08-07 on Nexus5(Android 5.1).

The tabs are preserved after Force stop.

Dbrant closed this task as Resolved.Aug 17 2015, 1:42 PM